#
# spec file
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%global flavor psm%{nil}

%define pname mvapich2
%define vers  2.3.7
%define _vers 2_3_7
%define rc_ver -1

%if "%{flavor}" == ""
ExclusiveArch:  do_not_build
%{bcond_with hpc}
%endif

%if "%{flavor}" == "standard"
%define build_flavor verbs
%{bcond_with hpc}
%endif
%if "%{flavor}" == "testsuite"
%define build_flavor verbs
%define testsuite 1
%{bcond_with hpc}
%endif

%if "%{flavor}" == "psm"
%define build_flavor psm
%{bcond_with hpc}
%endif
%if "%{flavor}" == "psm-testsuite"
%define build_flavor psm
%define testsuite 1
%{bcond_with hpc}
%endif

%if "%{flavor}" == "psm2"
%define build_flavor psm2
%{bcond_with hpc}
%endif
%if "%{flavor}" == "psm2-testsuite"
%define build_flavor psm2
%define testsuite 1
%{bcond_with hpc}
%endif

%if "%flavor" == "gnu-hpc"
%define compiler_family gnu
%undefine c_f_ver
%define build_flavor verbs
%{bcond_without hpc}
%endif
%if "%flavor" == "gnu-hpc-testsuite"
%define compiler_family gnu
%undefine c_f_ver
%define testsuite 1
%define build_flavor verbs
%{bcond_without hpc}
%endif

%if "%flavor" == "gnu-hpc-psm"
%define compiler_family gnu
%undefine c_f_ver
%define build_flavor psm
%{bcond_without hpc}
%endif

%if "%flavor" == "gnu-hpc-psm2"
%define compiler_family gnu
%undefine c_f_ver
%define build_flavor psm2
%{bcond_without hpc}
%endif

%if "%flavor" == "gnu7-hpc"
%define compiler_family gnu
%define c_f_ver 7
%define build_flavor verbs
%{bcond_without hpc}
%endif
%if "%flavor" == "gnu7-hpc-testsuite"
%define compiler_family gnu
%define c_f_ver 7
%define testsuite 1
%define build_flavor verbs
%{bcond_without hpc}
%endif

%if "%flavor" == "gnu7-hpc-psm"
%define compiler_family gnu
%define c_f_ver 7
%define build_flavor psm
%{bcond_without hpc}
%endif

%if "%flavor" == "gnu7-hpc-psm2"
%define compiler_family gnu
%define c_f_ver 7
%define build_flavor psm2
%{bcond_without hpc}
%endif

%if "%flavor" == "gnu8-hpc"
%define compiler_family gnu
%define c_f_ver 8
%define build_flavor verbs
%{bcond_without hpc}
%endif
%if "%flavor" == "gnu8-hpc-testsuite"
%define compiler_family gnu
%define c_f_ver 8
%define testsuite 1
%define build_flavor verbs
%{bcond_without hpc}
%endif

%if "%flavor" == "gnu8-hpc-psm"
%define compiler_family gnu
%define c_f_ver 8
%define build_flavor psm
%{bcond_without hpc}
%endif

%if "%flavor" == "gnu8-hpc-psm2"
%define compiler_family gnu
%define c_f_ver 8
%define build_flavor psm2
%{bcond_without hpc}
%endif

%if "%flavor" == "gnu9-hpc"
%define compiler_family gnu
%define c_f_ver 9
%define build_flavor verbs
%{bcond_without hpc}
%endif
%if "%flavor" == "gnu9-hpc-testsuite"
%define compiler_family gnu
%define c_f_ver 9
%define testsuite 1
%define build_flavor verbs
%{bcond_without hpc}
%endif

%if "%flavor" == "gnu9-hpc-psm"
%define compiler_family gnu
%define c_f_ver 9
%define build_flavor psm
%{bcond_without hpc}
%endif

%if "%flavor" == "gnu9-hpc-psm2"
%define compiler_family gnu
%define c_f_ver 9
%define build_flavor psm2
%{bcond_without hpc}
%endif

%if "%flavor" == "gnu10-hpc"
%define compiler_family gnu
%define c_f_ver 10
%define build_flavor verbs
%{bcond_without hpc}
%endif
%if "%flavor" == "gnu10-hpc-testsuite"
%define compiler_family gnu
%define c_f_ver 10
%define testsuite 1
%define build_flavor verbs
%{bcond_without hpc}
%endif

%if "%flavor" == "gnu10-hpc-psm"
%define compiler_family gnu
%define c_f_ver 10
%define build_flavor psm
%{bcond_without hpc}
%endif

%if "%flavor" == "gnu10-hpc-psm2"
%define compiler_family gnu
%define c_f_ver 10
%define build_flavor psm2
%{bcond_without hpc}
%endif

%if "%{build_flavor}" != "verbs"
%define pack_suff %{?build_flavor:-%{build_flavor}}
%endif

%if %{without hpc}
%define module_name mvapich2%{?pack_suff}
%define p_prefix /usr/%_lib/mpi/gcc/%{module_name}
%define p_bindir  %{p_prefix}/bin
%define p_datadir %{p_prefix}/share
%define p_includedir %{p_prefix}/include
%define p_mandir  %{p_datadir}/man
%define p_libdir  %{p_prefix}/%{_lib}
%define p_libexecdir %{p_prefix}/%{_lib}
%define _moduledir /usr/share/modules/gnu-%{module_name}
%define package_name mvapich2%{?pack_suff}
%{bcond_with pmix}
%{bcond_with hwloc}
%else
%{hpc_init -M -c %compiler_family %{?c_f_ver:-v %{c_f_ver}} -m mvapich2 %{?pack_suff:-e %{build_flavor}}}
%define p_prefix   %{hpc_prefix}
%define p_bindir   %{hpc_bindir}
%define p_datadir  %{hpc_datadir}
%define p_includedir  %{hpc_includedir}
%define p_mandir   %{hpc_mandir}
%define p_libdir   %{hpc_libdir}
%define p_libexecdir  %{hpc_libexecdir}
%define package_name %{hpc_package_name %{_vers}}

%global hpc_mvapich2_dep_version %(VER=%{?m_f_ver}; echo -n ${VER})
%global hpc_mvapich2_dir mvapich2
%global hpc_mvapich2_pack_version %{hpc_mvapich2_dep_version}
%{bcond_without pmix}
%{bcond_without hwloc}
%endif

# Disable hpc builds for SLE12
%if 0%{?sle_version} > 120200 && 0%{?sle_version} < 150000 && %{with hpc}
%{bcond_with skip_hpc_build}
%else
%{bcond_without skip_hpc_build}
%endif

Name:           %{package_name}
Summary:        OSU MVAPICH2 MPI package
License:        BSD-3-Clause
Group:          Development/Libraries/Parallel
Version:        %{vers}
Release:        150500.3.2.1
Source0:        http://mvapich.cse.ohio-state.edu/download/mvapich/mv2/mvapich2-%{version}%{?rc_ver}.tar.gz
Source1:        mpivars.sh
Source2:        mpivars.csh
Source3:        macros.hpc-mvapich2
Source100:      _multibuild
Patch0:         mvapich2-s390_get_cycles.patch
Patch2:         mvapich2-arm-support.patch
# PATCH-FIX-UPSTREAM 0001-Drop-GCC-check.patch (bnc#1129421)
# It's been merged upstream, should be removed with the next release
Patch3:         0001-Drop-GCC-check.patch
Patch4:         reproducible.patch
Patch5:         pass-correct-size-to-snprintf.patch
Patch6:         mvapich2-allow-building-with-external-hwloc.patch
## Armv7 specific patches
# PATCH-FIX-UPSTREAM 0001-Drop-real128.patch (https://github.com/pmodels/mpich/issues/4005)
Patch50:        0001-Drop-real128.patch
Patch51:        0001-Drop-Real-16.patch

URL:            http://mvapich.cse.ohio-state.edu
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%if %{without skip_hpc_build}
ExclusiveArch:  do_not_build
%endif

BuildRequires:  autoconf
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  automake
BuildRequires:  bison
BuildRequires:  flex
BuildRequires:  hwloc-devel >= 2.0
%ifnarch s390 s390x %{arm}
BuildRequires:  libnuma-devel
%endif
BuildRequires:  libtool
BuildRequires:  libtool
BuildRequires:  sysfsutils
%if %{without hpc}
BuildRequires:  gcc-c++
BuildRequires:  gcc-fortran
BuildRequires:  mpi-selector
%else
BuildRequires:  %{compiler_family}%{?c_f_ver}-compilers-hpc-macros-devel
BuildRequires:  lua-lmod
BuildRequires:  suse-hpc
%endif
%if %{with hwloc}
BuildRequires:  hwloc-devel
%endif
%if %{with pmix}
BuildRequires:  pmix-devel
%endif
%if "%{build_flavor}" == "psm" && %{with skip_hpc_build}
ExclusiveArch:  %ix86 x86_64
BuildRequires:  infinipath-psm-devel
%endif
%if "%{build_flavor}" == "psm2" && %{with skip_hpc_build}
ExclusiveArch:  x86_64
BuildRequires:  libpsm2-devel
%endif
%if "%{build_flavor}" == "verbs"
BuildRequires:  infiniband-diags-devel
BuildRequires:  libibumad-devel
BuildRequires:  libibverbs-devel
BuildRequires:  librdmacm-devel
%if 0%{?sle_version} <= 120200
BuildRequires:  libibmad-devel
%endif
%endif

%if %{without hpc}
Requires:       mpi-selector
%else
%hpc_requires
%endif

%description
This is an MPI-3 implementation which includes all MPI-1 features. It
is based on MPICH2 and MVICH.

%{!?testsuite:%{?with_hpc:%{hpc_master_package -a -L}}}

%if 0%{!?testsuite:1}

%package        devel
Summary:        OSU MVAPICH2 MPI package
Group:          Development/Libraries/Parallel
Requires:       %{name} = %{version}
%if "%{build_flavor}" == "psm"
Requires:       infinipath-psm-devel
%endif
%if "%{build_flavor}" == "psm2"
Requires:       libpsm2-devel
%endif
%if "%{build_flavor}" == "verbs"
Requires:       libibumad-devel
Requires:       libibverbs-devel
Requires:       librdmacm-devel
%endif
%if %{without hpc}
Requires:       gcc-c++
Requires:       gcc-fortran
%else
%hpc_requires_devel
%endif

%description devel
This is an MPI-2 implementation which includes all MPI-1 features.  It
is based on MPICH2 and MVICH.

%{?with_hpc:%{hpc_master_package -a devel}}

%package        devel-static
Summary:        OSU MVAPICH2 MPI package - static libraries
Group:          Development/Libraries/Parallel
Requires:       %{name}-devel = %{version}

%description devel-static
This is an MPI-3 implementation which includes all MPI-1 and MPI-2 features.  It
is based on MPICH2 and MVICH. This package contains the static libraries

%package        doc
Summary:        OSU MVAPICH2 MPI package - Documentation
Group:          Development/Libraries/Parallel
Requires:       %{name} = %{version}

%description  doc
This is an MPI-3 implementation which includes all MPI-1 and MPI-2 features.  It
is based on MPICH2 and MVICH. This package contains the static libraries

%{?with_hpc:%{hpc_master_package doc}}

%package        macros-devel
Summary:        OSU MVAPICH2 MPI package - HPC build macros
Group:          Development/Libraries/Parallel
Requires:       %{name}-devel = %{version}
Provides:       %{pname}-hpc-macros-devel = %{version}
Conflicts:      otherproviders(%{pname}-hpc-macros-devel)

%description macros-devel
This is an MPI-3 implementation which includes all MPI-1 and MPI-2 features.  It
is based on MPICH2 and MVICH. This package contains the static libraries

%{?with_hpc:%{hpc_master_package macros-devel}}

%endif # ! testsuite

%prep

%{?with_hpc:%hpc_debug}
%setup -q -n mvapich2-%{version}%{?rc_ver}
%patch0
%patch2
%patch3
%patch4
%patch5 -p1
%patch6

# Only apply these patches on Armv7
%ifarch armv7hl
%patch50 -p1
%patch51
%endif
cp /usr/share/automake*/config.* .

%build
%global _lto_cflags %{_lto_cflags} -ffat-lto-objects

# GCC10 needs an extra flag to allow badly passed parameters
%if 0%{?suse_version} > 1500 || 0%{?hpc_gnu_dep_version} >= 10
export FFLAGS="-fallow-argument-mismatch $FFLAGS"
%endif

PERL_USE_UNSAFE_INC=1 ./autogen.sh
%if %{with hpc}
%{hpc_setup}
%{hpc_configure} \
%else
%configure \
    --prefix=%{p_prefix} \
    --exec-prefix=%{p_prefix} \
    --datadir=%{p_datadir} \
    --bindir=%{p_bindir} \
    --includedir=%{p_includedir} \
    --libdir=%{p_libdir} \
    --libexecdir=%{p_libexecdir} \
    --mandir=%{p_mandir} \
%endif
   --docdir=%{_datadir}/doc/%{name} \
   --disable-wrapper-rpath \
   --enable-yield=sched_yield \
%if %{with hwloc}
   --with-hwloc=external \
%endif
%if %{with pmix}
   --with-pmix=${_prefix} \
%endif
%if "%{build_flavor}" == "psm"
   --with-device=ch3:psm \
   --with-psm=/usr \
%endif
%if "%{build_flavor}" == "psm2"
   --with-device=ch3:psm \
   --with-psm2=/usr \
%endif
%if "%{build_flavor}" == "verbs"
   --disable-ibv-dlopen \
%endif
  --without-mpe
make %{?_smp_mflags} V=1

%if 0%{?testsuite}
%check
make V=1 check
%endif

%install

%if 0%{?testsuite}
# Remove everything from testsuite package
# It is all contained by mvapich2 packages
rm -rf %{buildroot}/*

%else
make DESTDIR=%{buildroot} V=1 install

rm -f %{buildroot}%{p_libdir}/libfmpich.la \
      %{buildroot}%{p_libdir}/libmpich.la \
      %{buildroot}%{p_libdir}/libmpichcxx.la \
      %{buildroot}%{p_libdir}/libmpichf90.la \
      %{buildroot}%{p_libdir}/libmpl.la \
      %{buildroot}%{p_libdir}/libopa.la \
      %{buildroot}%{p_libdir}/libmpi.la \
      %{buildroot}%{p_libdir}/libmpicxx.la \
      %{buildroot}%{p_libdir}/libmpifort.la
install -m 0755 -d %{buildroot}%{_datadir}/doc/%{name}
install -m 0644 COPYRIGHT* %{buildroot}%{_datadir}/doc/%{name}
install -m 0644 CHANGE* %{buildroot}%{_datadir}/doc/%{name}

%if %{without hpc}
# make and install mpivars files
install -m 0755 -d %{buildroot}%{_bindir}
sed -e 's,prefix,%p_prefix,g' -e 's,libdir,%{p_libdir},g' %{S:1} > %{buildroot}%{p_bindir}/mpivars.sh
sed -e 's,prefix,%p_prefix,g' -e 's,libdir,%{p_libdir},g' %{S:2} > %{buildroot}%{p_bindir}/mpivars.csh

mkdir -p %{buildroot}%{_moduledir}

cat << EOF > %{buildroot}%{_moduledir}/%{version}
#%%Module
proc ModulesHelp { } {
        global dotversion
        puts stderr "\tLoads the gnu - mvapich2 %{version}  Environment"
}

module-whatis  "Loads the gnu mvapich2 %{version} Environment."
conflict gnu-mvapich2
prepend-path PATH %{%p_bindir}
prepend-path INCLUDE %{p_includedir}
prepend-path INCLUDE %{p_libdir}
prepend-path MANPATH %{p_mandir}
prepend-path LD_LIBRARY_PATH %{p_libdir}

EOF

cat << EOF > %{buildroot}%{_moduledir}/.version
#%%Module1.0
set ModulesVersion "%{version}"

EOF
%else # with hpc

install -d -m 755 %{buildroot}%{_rpmmacrodir}
cp %{S:3} %{buildroot}%{_rpmmacrodir}

%hpc_write_modules_files
#%%Module1.0#####################################################################

proc ModulesHelp { } {

puts stderr " "
puts stderr "This module loads the %{pname} library built with the %{compiler_family} toolchain."
puts stderr "\nVersion %{version}\n"

}
module-whatis "Name: %{pname} built with %{compiler_family} toolchain"
module-whatis "Version: %{version}"
module-whatis "Category: runtime library"
module-whatis "Description: %{SUMMARY:0}"
module-whatis "URL: %{url}"

set     version                     %{version}

prepend-path    PATH                %{hpc_bindir}
prepend-path    MANPATH             %{hpc_mandir}
prepend-path    LD_LIBRARY_PATH     %{hpc_libdir}
prepend-path    MODULEPATH          %{hpc_modulepath}
prepend-path    MPI_DIR             %{hpc_prefix}
%{hpc_modulefile_add_pkgconfig_path}

family "MPI"
EOF
cat <<EOF >  %{buildroot}/%{p_bindir}/mpivars.sh
%hpc_setup_compiler
module load %{hpc_mpi_family}%{?pack_suff}/%{version}
EOF
sed -e "s/export/setenv/" -e "s/=/ /" \
    %{buildroot}/%{p_bindir}/mpivars.sh > \
    %{buildroot}/%{p_bindir}/mpivars.csh
mkdir -p %{buildroot}%{_sysconfdir}/rpm

%endif # with hpc

%post
/sbin/ldconfig
%if %{without hpc}
# Always register. We might be already registered in the case of an udate
# but mpi-selector handles it fine
/usr/bin/mpi-selector \
        --register %{name}%{?pack_suff} \
        --source-dir %{p_bindir} \
        --yes
%endif

%postun
/sbin/ldconfig
%if %{without hpc}
# Only unregister when uninstalling
if [ "$1" = "0" ]; then
	/usr/bin/mpi-selector --unregister %{name}%{?pack_suff} --yes
	# Deregister the default if we are uninstalling it
	if [ "$(/usr/bin/mpi-selector --system --query)" = "%{name}%{?pack_suff}" ]; then
		/usr/bin/mpi-selector --system --unset --yes
	fi
fi
%else
%hpc_module_delete_if_default
%endif

%files
%defattr(-, root, root)
%if %{without hpc}
%dir /usr/%_lib/mpi
%dir /usr/%_lib/mpi/gcc
%dir /usr/share/modules
%dir %{_moduledir}
%{_moduledir}
%else
%hpc_mpi_dirs
%hpc_modules_files
%endif
%doc %{_datadir}/doc/%{name}/COPYRIGHT*
%doc %{_datadir}/doc/%{name}/CHANGE*
%dir %{p_prefix}
%dir %{p_bindir}
%dir %{p_datadir}
%dir %{p_includedir}
%dir %{p_mandir}
%dir %{p_mandir}/man1
%dir %{p_mandir}/man3
%dir %{p_libdir}
%dir %{p_libexecdir}
%{p_bindir}/*
%{p_libexecdir}/osu-micro-benchmarks
%{p_mandir}/man1/*
%{p_libdir}/*.so.*

%files doc
%defattr(-, root, root)
%doc %{_datadir}/doc/%{name}
%exclude /%{_datadir}/doc/%{name}/COPYRIGHT*
%exclude /%{_datadir}/doc/%{name}/CHANGE*

%files devel
%defattr(-,root,root)
%dir %{p_libdir}/pkgconfig
%{p_mandir}/man3/*
%{p_includedir}
%{p_libdir}/*.so
%{p_libdir}/pkgconfig/mvapich2.pc
%{p_libdir}/pkgconfig/openpa.pc

%files devel-static
%defattr(-,root,root)
%{p_libdir}/*.a

%if %{with hpc}
%files macros-devel
%defattr(-,root,root)
%config %{_rpmmacrodir}/macros.hpc-mvapich2
%endif # with hpc

%endif # !testsuite

%changelog
* Wed Jul  6 2022 nmoreychaisemartin@suse.com
- Add mvapich2-allow-building-with-external-hwloc.patch
  to allow building against an external hwloc library
- Build mvapich2 HPC flavors against pmix and hwloc system libraries
* Wed Jun 29 2022 kkaempf@suse.com
- add pass-correct-size-to-snprintf.patch to fix potential buffer
  overflows (required to make 'sundials' testsuite pass)
- Update to mvapich2 2.3.7
  * Features and Enhancements (since 2.3.6):
  - Added support for systems with Rockport's switchless networks
  * Added automatic architecture detection
  * Optimized performance for point-to-point operations
  - Added support for the Cray Slingshot 10 interconnect
  - Enhanced support for blocking collective offload using
    Mellanox SHARP
  * Scatter and Scatterv
  - Enhanced support for non-blocking collective offload using
    Mellanox SHARP
  * Iallreduce, Ibarrier, Ibcast, and Ireduce
  * Bug Fixes (since 2.3.6):
  - Removed several deprectated functions
  - Thanks to Honggang Li @RedHat for the report
  - Fixed a bug where tools like CMake FindMPI would not
    detect MVAPICH  when compiled without Hydra mpiexec
  - Thanks to Chris Chambreau and Adam Moody @LLNL for the report
  - Fixed compilation error when building with mpirun and without hydra
  - Thanks to James Long @University of Illinois for the report
  - Fixed issue with setting RoCE mode correctly without RDMA_CM.
  - Thanks to Nicolas Gagnon @Rockport Networks for the report
  - Fixed an issue on heterogeneous clusters where QP attributes were
    set incorrectly
  - Thanks to X-ScaleSolutions for the report and fix
  - Fixed a memory leak in improbe on the PSM channel
  - Thanks to Gregory Lee @LLNL Beichuan Yan @University of Colorado
    for the report
  - Added retry logic for PSM connection establishment
  - Thanks to Gregory Lee @LLNL for the report and X-ScaleSolutions
    for the patch
  - Fixed an initialization error when using PSM and gcc's -pg option
  - Thanks to Gregory Lee @LLNL for the report and X-ScaleSolutions for
    the patch
  - Fixed a potential integer overflow when transfering large arrays
  - Thanks to Alexander Melnikov for the report and patch
- Fix Url: link
* Wed Feb 16 2022 nmoreychaisemartin@suse.com
- Disable dlopen for verbs library (bsc#1196019)
* Tue Oct 19 2021 nmoreychaisemartin@suse.com
- Move rpm macros to %%_rpmmacrodir (bsc#1191386)
* Tue Sep 28 2021 nmoreychaisemartin@suse.com
- Remove obsolete python dependency (bsc#1190996)
* Tue May 18 2021 nmoreychaisemartin@suse.com
- Update to mvapich2 2.3.6
  - Enhanced performance for UD-Hybrid code
  - Add multi-rail support for UD-Hybrid code
  - Enhanced performance for shared-memory collectives
  - Enhanced job-startup performance for flux job launcher
  - Use PMI2 by default when SLURM is selected as process manager
  - Add support to use aligned memory allocations for multi-threaded
    applications
  - Architecture detection and enhanced point-to-point tuning for
    Oracle BM.HPC2 cloud shape
  - Add support for GCC compiler v11
  - Update hwloc v1 code to v1.11.14
  - Update hwloc v2 code to v2.4.2
- Drop obsolete patches:
  - fix-missing-return-code.patch as it was fixed upstream
  - mvapich2-remove-deprecated-sys_siglist.patch
  - rdma_find_network_type-return-MV2_NETWORK_CLASS_UNKNOWN-when-dev_list-is-freed.patch
- Refresh reproducible.patch
* Wed Mar 24 2021 eich@suse.com
- Update mvapich2 to 2.3.5.
  * Enhanced performance for MPI_Allreduce and MPI_Barrier
  * Support collective offload using Mellanox's SHARP for Barrier
  - Enhanced tuning framework for Barrier using SHARP
  * Remove dependency on underlying libibverbs, libibmad, libibumad, and
    librdmacm libraries using dlopen
  * Add support for Broadcom NetXtreme RoCE HCA
  - Enhanced inter-node point-to-point support
  * Support architecture detection for Fujitsu A64fx processor
  * Enhanced point-to-point and collective tuning for Fujitsu A64fx processor
  * Enhanced point-to-point and collective tuning for AMD ROME processor
  * Add support for process placement aware HCA selection
  - Add "MV2_PROCESS_PLACEMENT_AWARE_HCA_MAPPING" environment variable to
    enable process placement aware HCA mapping
  * Add support to auto-detect RoCE HCAs and auto-detect GID index
  * Add support to use RoCE/Ethernet and InfiniBand HCAs at the same time
  * Add architecture-specific flags to improve performance of certain CUDA
    operations
  - Thanks to Chris Chambreau @LLNL for the report
  * Read MTU and maximum outstanding RDMA operations from the device
  * Improved performance and scalability for UD-based communication
  * Update maximum HCAs supported by default from 4 to 10
  * Enhanced collective tuning for Frontera@TACC, Expanse@SDSC,
    Ookami@StonyBrook, and bb5@EPFL
  * Enhanced support for SHARP v2.1.0
  * Generalize code for GPU support
- Obsolete: wrapper-revert-ldflag-order-change.patch.
- Replace: mvapich2-fix-double-free.patch by
  rdma_find_network_type-return-MV2_NETWORK_CLASS_UNKNOWN-when-dev_list-is-freed.patch
* Thu Feb 18 2021 nmoreychaisemartin@suse.com
- Re-add mvapich2-fix-double-free.patch as the bug was
  somehow be reintroduced (bsc#1144000)
- Add mvapich2-remove-deprecated-sys_siglist.patch to
  fix compilation errors with newer glibc
* Sun Nov 29 2020 eich@suse.com
- HPC: Fix environment module settings for MANPATH.
* Sat Jul 25 2020 eich@suse.com
- For HPC builds check for gnu compiler suite version >= 10 and
  set -fallow-argument-mismatch.
* Thu Jul 23 2020 eich@suse.com
- Add build support for gcc8/9/10 to HPC build (bsc#1174439).
* Wed Jun  3 2020 nmoreychaisemartin@suse.com
- Update so mvapich2 2.3.4
  - See CHANGELOG for fixes and new features
- Add fix-missing-return-code.patch to fix compilation errors
- Add 0001-Drop-Real-16.patch to disable Real(16) support on Armv7
- Add wrapper-revert-ldflag-order-change.patch to revert LDFLAGS order
  change done in 2.3.4.
  This allows legacy builds to work without adding a -lmpi flag
* Tue Jan 21 2020 nmoreychaisemartin@suse.com
- Update to mvapich2 2.3.3 (jsc#SLE-8497)
  - See CHANGELOG for fixes and new features
* Fri Sep  6 2019 nmoreychaisemartin@suse.com
- Update to mvapich2 2.3.2 (jsc#SLE-8544)
  - See CHANGELOG for fixes and new features
- Drop mvapich2-make-sure-ibv_get_device_list-returned-one-before-freeing-it.patch
  as it was fixed upstream.
- Use FAT LTO objects in order to provide proper static library.
- Add 0001-Drop-real128.patch to fix compilation on armv7
* Fri Aug  2 2019 nmoreychaisemartin@suse.com
- Add mvapich2-make-sure-ibv_get_device_list-returned-one-before-freeing-it.patch
  to Fix segfault when ib_uverbs is not loaded (bsc#1144000)
* Mon May 27 2019 bwiedemann@suse.com
- Add reproducible.patch to sort readdir to make package build reproducible
  (boo#1041090)
* Mon May 13 2019 nmoreychaisemartin@suse.com
- Update to mvapich2 2.3.1
  - See CHANGELOG for fixes and new features
- Refreshed patches against the new version:
  - 0001-Drop-GCC-check.patch
  - mvapich2-arm-support.patch
  - mvapich2-s390_get_cycles.patch
- Drop mvapich2-fix-double-free.patch as it was merged upstream
* Thu May  2 2019 nmoreychaisemartin@suse.com
- Add mvapich2-fix-double-free.patch to fix a segfault
  when running on a machine with no RDMA hardware (bsc#1133797)
* Wed Mar 20 2019 aguerrero@suse.com
- Add patch to remove obsolete GCC check (bnc#1129421). It also patches
  autogen.sh to get the autotools working in SLE12SP4.
  * 0001-Drop-GCC-check.patch
- Force to re-run autotools to generate properly the files after
  patching src/binding/cxx/buildiface
* Sun Nov 18 2018 eich@suse.com
- Add macro _hpc_mvapich2_modules for modules support (bsc#1116458).
* Mon Sep 10 2018 nmoreychaisemartin@suse.com
- Remove bashism in postun scriptlet
* Wed Sep  5 2018 nmoreychaisemartin@suse.com
- Fix handling of mpi-selector during updates (bsc#1098653)
* Sun Aug 19 2018 eich@suse.com
- macros.hpc-mvapich2:
  replace %%%%compiler_family by %%%%hpc_compiler_family
* Mon Jul 16 2018 msuchanek@suse.com
- Use sched_yield instead of pthread_yield (boo#1102421).
  - drop mvapich2-pthread_yield.patch
* Mon Jun 18 2018 nmoreychaisemartin@suse.com
- Add missing bsc and fate references to changelog
* Tue Jun 12 2018 nmoreychaisemartin@suse.com
- Disable HPC builds for SLE12 (fate#323655)
* Sun Mar 25 2018 kasimir_@outlook.de
- Change mvapich2-arm-support.patch to provide missing functions for
  armv6hl
* Fri Feb  9 2018 cgoll@suse.com
- Fix summary in module files (bnc#1080259)
* Tue Jan 30 2018 eich@suse.com
- Use macro in mpivars.(c)sh to be independent of changes to the module
  setup for the compiler (boo#1078364).
* Fri Jan  5 2018 eich@suse.com
- Switch from gcc6 to gcc7 as additional compiler flavor for HPC on SLES.
- Fix library package requires - use HPC macro (boo#1074890).
* Fri Oct  6 2017 nmoreychaisemartin@suse.com
- Add conflicts between the macros-devel packages
* Thu Oct  5 2017 nmoreychaisemartin@suse.com
- Add BuildRequires to libibmad-devel for older release (SLE <= 12.2, Leap <= 42.2)
* Tue Sep 12 2017 eich@suse.com
- Add HPC specific build targets using environment modules
  (FATE#321712).
* Tue Sep 12 2017 nmoreychaisemartin@suse.com
- Drop unnecessary dependency to xorg-x11-devel
* Mon Sep 11 2017 nmoreychaisemartin@suse.com
- Only requires verbs libraries for verbs build.
  libibverbs devel causes a SEGV when run in a chroot using the
  psm or psm2 conduits
- Add testuite packages for all build flavours
* Thu Jul 13 2017 nmoreychaisemartin@suse.com
- Add LD_LIBRARY_PATH to mpivars.sh and mpivars.csh
* Thu Jul 13 2017 nmoreychaisemartin@suse.com
- Disable rpath in pkgconfig files
* Wed Jul  5 2017 nmoreychaisemartin@suse.com
- Remove redondant configure options already passed by %%configure
* Mon Jun 26 2017 nmoreychaisemartin@suse.com
- Change install dir to allow multiple flavor to be installed
  at the same time (bsc#934090)
- Fix bsc#1045955
  - Fix mvapich2-psm package to use libpsm (TrueScale)
  - Add mvapich2-psm2 package using libpsm2 (OmniPath)
* Mon Jun 26 2017 nmoreychaisemartin@suse.com
- Use _multibuild to build the various mvapich2-flavours
* Fri Jun 23 2017 nmoreychaisemartin@suse.com
- Replace dependency from libibmad-devel to infiniband-diags-devel
* Wed Jun 14 2017 nmoreychaisemartin@suse.com
- Have mvapich2 and mvapich2-psm conflicts between them
- Cleanup spec file
- Remove mvapich2-testsuite RPM
* Thu Jun  8 2017 nmoreychaisemartin@suse.com
- Reenable arm compilation
- Rename and cleanup mvapich-s390_get_cycles.patch to
  mvapich2-s390_get_cycles.patch for coherency
- Cleanup mvapich2-pthread_yield.patch
- Add mvapich2-arm-support.patch to provide missing functions for
  armv7hl and aarch64
* Thu Jun  8 2017 nmoreychaisemartin@suse.com
- Remove version dependencies to libibumad, libibverbs and librdmacm
* Tue May 16 2017 nmoreychaisemartin@suse.com
- Fix mvapich2-testsuite packaging
- Disable build on armv7
* Wed Mar 29 2017 pth@suse.de
- Make dependencies on libs now coming from rdma-core versioned.
* Tue Nov 29 2016 pth@suse.de
- Create environment module (bsc#1004628).
* Wed Nov 23 2016 pth@suse.de
- Fix URL.
- Update to mvapich 2.2 GA. Changes since rc1:
  MVAPICH2 2.2 (09/07/2016)
  * Features and Enhancements (since 2.2rc2):
  - Single node collective tuning for Bridges@PSC, Stampede@TACC and other
    architectures
  - Enable PSM builds when both PSM and PSM2 libraries are present
  - Add support for HCAs that return result of atomics in big endian notation
  - Establish loopback connections by default if HCA supports atomics
  * Bug Fixes (since 2.2rc2):
  - Fix minor error in use of communicator object in collectives
  - Fix missing u_int64_t declaration with PGI compilers
  - Fix memory leak in RMA rendezvous code path
  MVAPICH2 2.2rc2 (08/08/2016)
  * Features and Enhancements (since 2.2rc1):
  - Enhanced performance for MPI_Comm_split through new bitonic algorithm
  - Enable graceful fallback to Shared Memory if LiMIC2 or CMA transfer fails
  - Enable support for multiple MPI initializations
  - Unify process affinity support in Gen2, PSM and PSM2 channels
  - Remove verbs dependency when building the PSM and PSM2 channels
  - Allow processes to request MPI_THREAD_MULTIPLE when socket or NUMA node
    level affinity is specified
  - Point-to-point and collective performance optimization for Intel Knights
    Landing
  - Automatic detection and tuning for InfiniBand EDR HCAs
  - Warn user to reconfigure library if rank type is not large enough to
    represent all ranks in job
  - Collective tuning for Opal@LLNL, Bridges@PSC, and Stampede-1.5@TACC
  - Tuning and architecture detection for Intel Broadwell processors
  - Add ability to avoid using --enable-new-dtags with ld
  - Add LIBTVMPICH specific CFLAGS and LDFLAGS
  * Bug Fixes (since 2.2rc1):
  - Disable optimization that removes use of calloc in ptmalloc hook
    detection code
  - Fix weak alias typos (allows successful compilation with CLANG compiler)
  - Fix issues in PSM large message gather operations
  - Enhance error checking in collective tuning code
  - Fix issues with UD based communication in RoCE mode
  - Fix issues with PMI2 support in singleton mode
  - Fix default binding bug in hydra launcher
  - Fix issues with Checkpoint Restart when launched with mpirun_rsh
  - Fix fortran binding issues with Intel 2016 compilers
  - Fix issues with socket/NUMA node level binding
  - Disable atomics when using Connect-IB with RDMA_CM
  - Fix hang in MPI_Finalize when using hybrid channel
  - Fix memory leaks
* Tue Nov 15 2016 pth@suse.de
- Update to version 2.2rc1 (fate#319240). Changes since 2.1:
  MVAPICH2 2.2rc1 (03/29/2016)
  * Features and Enhancements (since 2.2b):
  - Support for OpenPower architecture
  - Optimized inter-node and intra-node communication
  - Support for Intel Omni-Path architecture
  - Thanks to Intel for contributing the patch
  - Introduction of a new PSM2 channel for Omni-Path
  - Support for RoCEv2
  - Architecture detection for PSC Bridges system with Omni-Path
  - Enhanced startup performance and reduced memory footprint for storing
    InfiniBand end-point information with SLURM
  - Support for shared memory based PMI operations
  - Availability of an updated patch from the MVAPICH project website
    with this support for SLURM installations
  - Optimized pt-to-pt and collective tuning for Chameleon InfiniBand
    systems at TACC/UoC
  - Enable affinity by default for TrueScale(PSM) and Omni-Path(PSM2)
    channels
  - Enhanced tuning for shared-memory based MPI_Bcast
  - Enhanced debugging support and error messages
  - Update to hwloc version 1.11.2
  * Bug Fixes (since 2.2b):
  - Fix issue in some of the internal algorithms used for MPI_Bcast,
    MPI_Alltoall and MPI_Reduce
  - Fix hang in one of the internal algorithms used for MPI_Scatter
  - Thanks to Ivan Raikov@Stanford for reporting this issue
  - Fix issue with rdma_connect operation
  - Fix issue with Dynamic Process Management feature
  - Fix issue with de-allocating InfiniBand resources in blocking mode
  - Fix build errors caused due to improper compile time guards
  - Thanks to Adam Moody@LLNL for the report
  - Fix finalize hang when running in hybrid or UD-only mode
  - Thanks to Jerome Vienne@TACC for reporting this issue
  - Fix issue in MPI_Win_flush operation
  - Thanks to Nenad Vukicevic for reporting this issue
  - Fix out of memory issues with non-blocking collectives code
  - Thanks to Phanisri Pradeep Pratapa and Fang Liu@GaTech for
    reporting this issue
  - Fix fall-through bug in external32 pack
  - Thanks to Adam Moody@LLNL for the report and patch
  - Fix issue with on-demand connection establishment and blocking mode
  - Thanks to Maksym Planeta@TU Dresden for the report
  - Fix memory leaks in hardware multicast based broadcast code
  - Fix memory leaks in TrueScale(PSM) channel
  - Fix compilation warnings
  MVAPICH2 2.2b (11/12/2015)
  * Features and Enhancements (since 2.2a):
  - Enhanced performance for small messages
  - Enhanced startup performance with SLURM
  - Support for PMIX_Iallgather and PMIX_Ifence
  - Support to enable affinity with asynchronous progress thread
  - Enhanced support for MPIT based performance variables
  - Tuned VBUF size for performance
  - Improved startup performance for QLogic PSM-CH3 channel
  - Thanks to Maksym Planeta@TU Dresden for the patch
  * Bug Fixes (since 2.2a):
  - Fix issue with MPI_Get_count in QLogic PSM-CH3 channel with very large
    messages (>2GB)
  - Fix issues with shared memory collectives and checkpoint-restart
  - Fix hang with checkpoint-restart
  - Fix issue with unlinking shared memory files
  - Fix memory leak with MPIT
  - Fix minor typos and usage of inline and static keywords
  - Thanks to Maksym Planeta@TU Dresden for the patch and suggestions
  - Fix missing MPIDI_FUNC_EXIT
  - Thanks to Maksym Planeta@TU Dresden for the patch
  - Remove unused code
  - Thanks to Maksym Planeta@TU Dresden for the patch
  - Continue with warning if user asks to enable XRC when the system does not
    support XRC
  MVAPICH2 2.2a (08/17/2015)
  * Features and Enhancements (since 2.1 GA):
  - Based on MPICH 3.1.4
  - Support for backing on-demand UD CM information with shared memory
    for minimizing memory footprint
  - Reorganized HCA-aware process mapping
  - Dynamic identification of maximum read/atomic operations supported by HCA
  - Enabling support for intra-node communications in RoCE mode without
    shared memory
  - Updated to hwloc 1.11.0
  - Updated to sm_20 kernel optimizations for MPI Datatypes
  - Automatic detection and tuning for 24-core Haswell architecture
  * Bug Fixes (since 2.1 GA):
  - Fix for error with multi-vbuf design for GPU based communication
  - Fix bugs with hybrid UD/RC/XRC communications
  - Fix for MPICH putfence/getfence for large messages
  - Fix for error in collective tuning framework
  - Fix validation failure with Alltoall with IN_PLACE option
  - Thanks for Mahidhar Tatineni @SDSC for the report
  - Fix bug with MPI_Reduce with IN_PLACE option
  - Thanks to Markus Geimer for the report
  - Fix for compilation failures with multicast disabled
  - Thanks to Devesh Sharma @Emulex for the report
  - Fix bug with MPI_Bcast
  - Fix IPC selection for shared GPU mode systems
  - Fix for build time warnings and memory leaks
  - Fix issues with Dynamic Process Management
  - Thanks to Neil Spruit for the report
  - Fix bug in architecture detection code
  - Thanks to Adam Moody @LLNL for the report
* Fri Oct 14 2016 pth@suse.de
- Create and include modules file for Mvapich2 (bsc#1004628).
- Remove mvapich2-fix-implicit-decl.patch as the fix is upstream.
- Adapt spec file to the changed micro benchmark install directory.
* Sun Jul 24 2016 p.drouand@gmail.com
- Update to version 2.1
  * Features and Enhancements (since 2.1rc2):
  - Tuning for EDR adapters
  - Optimization of collectives for SDSC Comet system
  - Based on MPICH-3.1.4
  - Enhanced startup performance with mpirun_rsh
  - Checkpoint-Restart Support with DMTCP (Distributed MultiThreaded
    CheckPointing)
  - Thanks to the DMTCP project team (http://dmtcp.sourceforge.net/)
  - Support for handling very large messages in RMA
  - Optimize size of buffer requested for control messages in large message
    transfer
  - Enhanced automatic detection of atomic support
  - Optimized collectives (bcast, reduce, and allreduce) for 4K processes
  - Introduce support to sleep for user specified period before aborting
  - Disable PSM from setting CPU affinity
  - Install PSM error handler to print more verbose error messages
  - Introduce retry mechanism to perform psm_ep_open in PSM channel
  * Bug-Fixes (since 2.1rc2):
  - Relocate reading environment variables in PSM
  - Fix issue with automatic process mapping
  - Fix issue with checkpoint restart when full path is not given
  - Fix issue with Dynamic Process Management
  - Fix issue in CUDA IPC code path
  - Fix corner case in CMA runtime detection
  * Features and Enhancements (since 2.1rc1):
  - Based on MPICH-3.1.4
  - Enhanced startup performance with mpirun_rsh
  - Checkpoint-Restart Support with DMTCP (Distributed MultiThreaded
    CheckPointing)
  - Support for handling very large messages in RMA
  - Optimize size of buffer requested for control messages in large message
    transfer
  - Enhanced automatic detection of atomic support
  - Optimized collectives (bcast, reduce, and allreduce) for 4K processes
  - Introduce support to sleep for user specified period before aborting
  - Disable PSM from setting CPU affinity
  - Install PSM error handler to print more verbose error messages
  - Introduce retry mechanism to perform psm_ep_open in PSM channel
  * Bug-Fixes (since 2.1rc1):
  - Fix failures with shared memory collectives with checkpoint-restart
  - Fix failures with checkpoint-restart when using internal communication
    buffers of different size
  - Fix undeclared variable error when --disable-cxx is specified with
    configure
  - Fix segfault seen during connect/accept with dynamic processes
  - Fix errors with large messages pack/unpack operations in PSM channel
  - Fix for bcast collective tuning
  - Fix assertion errors in one-sided put operations in PSM channel
  - Fix issue with code getting stuck in infinite loop inside ptmalloc
  - Fix assertion error in shared memory large message transfers
  - Fix compilation warnings
  * Features and Enhancements (since 2.1a):
  - Based on MPICH-3.1.3
  - Flexibility to use internal communication buffers of different size for
    improved performance and memory footprint
  - Improve communication performance by removing locks from critical path
  - Enhanced communication performance for small/medium message sizes
  - Support for linking Intel Trace Analyzer and Collector
  - Increase the number of connect retry attempts with RDMA_CM
  - Automatic detection and tuning for Haswell architecture
  * Bug-Fixes (since 2.1a):
  - Fix automatic detection of support for atomics
  - Fix issue with void pointer arithmetic with PGI
  - Fix deadlock in ctxidup MPICH test in PSM channel
  - Fix compile warnings
  * Features and Enhancements (since 2.0):
  - Based on MPICH-3.1.2
  - Support for PMI-2 based startup with SLURM
  - Enhanced startup performance for Gen2/UD-Hybrid channel
  - GPU support for MPI_Scan and MPI_Exscan collective operations
  - Optimize creation of 2-level communicator
  - Collective optimization for PSM-CH3 channel
  - Tuning for IvyBridge architecture
  - Add -export-all option to mpirun_rsh
  - Support for additional MPI-T performance variables (PVARs)
    in the CH3 channel
  - Link with libstdc++ when building with GPU support
    (required by CUDA 6.5)
  * Bug-Fixes (since 2.0):
  - Fix error in large message (>2GB) transfers in CMA code path
  - Fix memory leaks in OFA-IB-CH3 and OFA-IB-Nemesis channels
  - Fix issues with optimizations for broadcast and reduce collectives
  - Fix hang at finalize with Gen2-Hybrid/UD channel
  - Fix issues for collectives with non power-of-two process counts
  - Make ring startup use HCA selected by user
  - Increase counter length for shared-memory collectives
- Use download Url as source
- Some other minor improvements
- Add mvapich2-fix-implicit-decl.patch
* Thu Oct  9 2014 pth@suse.de
- Don't provide the full source uri as build servis can't handle it.
* Wed Oct  8 2014 pth@suse.de
- Only run autogen.sh if the distribution has a new enough automake.
* Wed Sep 24 2014 pth@suse.de
- Update to mvapich2 2.0 GMC:
  * Features and Enhancements (since 2.0rc2):
  - Consider CMA in collective tuning framework
  * Bug-Fixes (since 2.0rc2):
  - Fix bug when disabling registration cache
  - Fix shared memory window bug when shared memory collectives
    are disabled.
  - Fix mpirun_rsh bug when running mpmd programs with no arguments
- Exclude Aarch64 for the time being as asm/timex.h seems to be missing
  from the glibc kernel headers.
* Tue Jun  3 2014 pth@suse.de
- Update to OFED 3.12 final.
* Mon May 26 2014 pth@suse.de
- Update to 2.0rc2:
  * Features and Enhancements (since 2.0rc1):
  - CMA support is now enabled by default
  - Optimization of collectives with CMA support
  - RMA optimizations for shared memory and atomic operations
  - Tuning RGET and Atomics operations
  - Tuning RDMA FP-based communication
  - MPI-T support for additional performance and control variables
  - The --enable-mpit-pvars=yes configuration option will now
    enable only MVAPICH2 specific variables
  - Large message transfer support for PSM interface
  - Optimization of collectives for PSM interface
  - Updated to hwloc v1.9
  * Bug-Fixes (since 2.0rc1):
  - Fix multicast hang when there is a single process on one node
    and more than one process on other nodes
  - Fix non-power-of-two usage of scatter-doubling-allgather algorithm
  - Fix for bcastzero type hang during finalize
  - Enhanced handling of failures in RDMA_CM based
    connection establishment
  - Fix for a hang in finalize when using RDMA_CM
  - Finish receive request when RDMA READ completes in RGET protocol
  - Always use direct RDMA when flush is used
  - Fix compilation error with --enable-g=all in PSM interface
  - Fix warnings and memory leaks
* Thu May 15 2014 pth@suse.de
- mvapich2-psm-devel requires infinipath-psm-devel.
- Remove redundent requires for the devel-static package.
* Wed May  7 2014 stefan.fent@suse.com
- remove typo in mvapich-s390_get_cycles.patch
* Tue Apr 29 2014 pth@suse.de
- Remove bogus 0 from spec.
* Mon Apr 28 2014 pth@suse.de
- Remove all additional mvapich specific CFLAGS and extra LIBS.
* Fri Apr 25 2014 pth@suse.de
- Fix ExclusiveArch
- Only PSM needs explicit configuration so drop the else branch
  in configure call.
- mvapich2 now builds in parallel so tell make.
* Thu Apr 24 2014 pth@suse.de
- Build Mvapich2 for Qlogic from its own mvapich2-psm.spec.
* Wed Apr 23 2014 pth@suse.de
- Add mvapich2-pthread_yield.patch to define GNU_SOURCE before
  including pthread.h to get pthread_yield declared.
* Wed Apr 23 2014 pth@suse.de
- Don't require libibcommon as it's gone with OFED 3.12.
* Wed Apr 16 2014 stefan.fent@suse.com
- add asm code from kernel to properly implement get_cycles on
  s390 and s390x (bnc #870424) (mvapich-s390_get_cycles.patch)
* Mon Apr  7 2014 pth@suse.de
- Fix spec so that testsuite builds correctly.
* Sat Apr  5 2014 pth@suse.de
- Update config.* to make it build on ppc64le.
* Thu Mar 27 2014 pth@suse.de
- Regenerate autotool files to get ppc64le recognized.
- The predefined platform macros for s390 are lower case not upcase.
* Wed Mar 26 2014 pth@suse.de
- Finally got the syntax for conditionals in spec right...
- Add a dummy implementation of get_cycles for s390x.
- Update to 2.0rc1 as this is a MPI-3 implementation. For
  detailed changes see.
- Fix options passed to mpi-selector
* Tue Mar 25 2014 pth@suse.de
- Include the two COPYRIGHT files in the package.
- BuildRequire kernel-headers on s390x.
- Fix spec file
* Wed Mar  5 2014 pth@suse.de
- Compile with support for PSM on ix86 (fate#315889).
- mvapich2 has a testsuite, so run it from a separate spec file.
* Mon Feb 10 2014 pth@suse.de
- Update to 1.9:
- Remove mvapich2-1.0.2-non-void-rtn.patch as the changes are in
  the upstream source.
- Reformat BuildRequires
* Fri Jan 24 2014 pth@suse.de
- Update to OFED 3.12 daily.
* Thu Feb 28 2008 - jjolly@suse.de
- Update to 1.0.2 from OFED 1.3 GA release
- Minor changes to return value patch
* Wed Jan 30 2008 - jjolly@suse.de
- Update to 1.0.1 from OFED 1.3 rc2
- Fixed several 'undefined return value' compile errors
* Mon Jul  9 2007 - hvogel@suse.de
- Initial Package, Version 0.9.8
